Class UmlBaseUseCase

Manage the use cases

Declaration :

- C++ : class UmlBaseUseCase : public UmlItem
- Java : abstract class UmlBaseUseCase extends UmlItem

Directly inherited by : UmlUseCase

Artifact : UmlBaseUseCase

Operation create

returns a new use case named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, in s : str) : UmlUseCase, exceptions : RuntimeException
- C++ : public: static UmlUseCase * create(UmlItem * parent, const char * s)
- Java : public static UmlUseCase create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlUseCaseDiagram
- C++ : public: UmlUseCaseDiagram * associatedDiagram()
- Java : public UmlUseCaseDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(inout d : UmlUseCaseDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlUseCaseDiagram * d)
- Java : public void set_AssociatedDiagram(UmlUseCaseDiagram d) throws RuntimeException

Operation extensionPoints

return the extension points

Declaration :

- Uml : + extensionPoints() : string
- C++ : public: const QCString & extensionPoints()
- Java : public String extensionPoints()

Operation set_ExtensionPoints

set the extension points
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_ExtensionPoints(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_ExtensionPoints(const char * v)
- Java : public void set_ExtensionPoints(String v) throws RuntimeException

Attribute _extension_points

Declaration :

- Uml : - _extension_points : string
- C++ : private: QCString _extension_points
- Java : private String _extension_points

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlUseCaseDiagram
- C++ : private: UmlUseCaseDiagram * _assoc_diagram
- Java : private UmlUseCaseDiagram _assoc_diagram

Operation read_uml_

internal, do NOT use it

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation UmlBaseUseCase

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseUseCase(in id : item_id, in n : string) :
- C++ : protected: UmlBaseUseCase(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseUseCase(long id, String n)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , create , defined_ , deleteIt , description , extensionPoints , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Description , set_ExtensionPoints , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload